[![pipeline status](https://repository.prace-ri.eu/git/latex-templates/prace-whitepaper/badges/master/pipeline.svg)](https://repository.prace-ri.eu/git/latex-templates/prace-whitepaper/-/commits/master) (compiling the example)

# LaTeX package for a PRACE white paper

(c) CSC - IT Center for Science Ltd.  
    original author: Martti Louhivuori (martti.louhivuori@csc.fi)  
(c) JSC/PRACE  
    Dirk Broemmel (prace-pmo@fz-juelich.de)

Please report any problems with this template to `prace-pmo@fz-juelich.de` or contribute directly to this repository.

The latest version of the required files is available as download: [PRACE-Whitepaper.tar.gz](https://repository.prace-ri.eu/git/latex-templates/prace-whitepaper/-/jobs/artifacts/master/raw/PRACE-Whitepaper.tar.gz?job=build-example).

## PURPOSE
Enable the writing of a PRACE project report in LaTeX with minimal typographical effort. Uses a pre-defined document class 'prace' that automatically sets the correct document style and layout as well as provides custom macros for the ease-of-use of the writer.

## FILES
`prace.cls`      : LaTeX document class  
`template.tex`   : PRACE white paper template  
`prace-logo.[pdf|eps|png]` : logo of PRACE (used by prace.cls)  
 
The `example` directory contains a full example:  
`example.tex` : example of a filled-in template  
`example.pdf` : example PRACE white paper  
`example.[eps|png]` : figure used in the example white paper  

## REQUIREMENTS
Some LaTeX packages are assumed to be present for this class to work: `mathptmx` (for the correct font), `siunitx` (for properly formatted numbers+units), and `fancyhdr` (which should be updated at some point).  
The current version of the template is meant for use with `latex` or `pdflatex`, a modern dialect may follow in the future.

## QUICK HOW-TO
1) copy `template.tex` to `yourname_yourproject.tex`
2) fill in all the required information in `yourname_yourproject.tex` using your favorite text editor
3) convert `.tex` to `.pdf`, e.g. `pdflatex yourname_yourproject`
4) send the resulting PDF to PRACE

## MACROS
```tex
\author[<affiliation>]{<name of the author>}
```
Defines the name and affiliation(s) of an author. The affiliation(s) should be given as a comma-separated list of integers corresponding to the order of \affiliation definitions.

```tex
\corresponding
```
Flags the following \author definition as the corresponding author.

```tex
\affiliation{<name and address>}
```
Defines the name and address of an affiliation. The syntax should be 'Name, Street, Postcode and City, Country'.

```tex
\email{<e-mail address>}
```
Defines the e-mail address of the corresponding author.

All these macros should be used in the pre-amble of the document, so that all the required information is defined before calling `\maketitle`. In the main body of the document you can use default LaTeX commands for sections, figures etc., but you should refer to the comments in the `template.tex` for further information regarding the required structure, syntax and nomenclature in a PRACE white paper.

